<html>
<head>
<title>OGRE: Ogre::ExceptionCodeType&lt; num &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1ExceptionCodeType.html">ExceptionCodeType</a></div>
<h1>Ogre::ExceptionCodeType&lt; num &gt; Struct Template Reference</h1><!-- doxytag: class="Ogre::ExceptionCodeType" -->Template struct which creates a distinct type for each exception code.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreException_8h-source.html">OgreException.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ExceptionCodeType-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="structOgre_1_1ExceptionCodeType.html#ce852efbc1f5b578bb5871181941732cdc17c75a1a0536b07eaf5f587918544e">number</a> =  num
 }</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;int num&gt;<br>
 struct Ogre::ExceptionCodeType&lt; num &gt;</h3>

Template struct which creates a distinct type for each exception code. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This is useful because it allows us to create an overloaded method for returning different exception types by value without ambiguity. From 'Modern C++ Design' (Alexandrescu 2001). </dd></dl>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00181">181</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="ce852efbc1f5b578bb5871181941732c"></a><!-- doxytag: member="Ogre::ExceptionCodeType::@2" ref="ce852efbc1f5b578bb5871181941732c" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;int num&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="ce852efbc1f5b578bb5871181941732cdc17c75a1a0536b07eaf5f587918544e"></a><!-- doxytag: member="number" ref="ce852efbc1f5b578bb5871181941732cdc17c75a1a0536b07eaf5f587918544e" args="" -->number</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00183">183</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreException_8h-source.html">OgreException.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:37 2008
</p>
</body>
</html>
